StarWriterStruct::TOX51 Struct Reference documentation

StarWriterStruct::TOX51 Struct Reference

structure to store a TOX51 in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| TOX51 ()
| constructor
| ~TOX51 ()
| destructor
bool | read (StarZone &zone, StarObject &object)
| try to read a TOX51

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< TOX51 > &toxList, StarObject &object)
| try to read a list of TOX51

## Public Attributes
librevenge::RVNGString | m_typeName
| the typeName
int | m_type
| the type
int | m_createType
| the createType
int | m_firstTabPos
| the firstTabPos
librevenge::RVNGString | m_title
| the title
std::vector< librevenge::RVNGString > | m_patternList
| the pattern list
std::vector< int > | m_stringIdList
| a list of template string ids
int | m_infLevel
| the inf level

## Friends
std::ostream & | operator<< (std::ostream &o, TOX51 const &tox)
| operator<<

## Detailed Description

structure to store a TOX51 in a text zone

## Constructor & Destructor Documentation

## ◆ TOX51()

StarWriterStruct::TOX51::TOX51 | ( |  | ) |
| inline

constructor

Referenced by operator<<, and readList().

## ◆ ~TOX51()

StarWriterStruct::TOX51::~TOX51 | ( |  | ) |

destructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::TOX51::read | ( | StarZone & | zone,
|  | StarObject & | object )

try to read a TOX51

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::TOX51::readList | ( | StarZone & | zone,
|  | std::vector< TOX51 > & | toxList,
|  | StarObject & | object )
| static

try to read a list of TOX51

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TOX51 const & | tox )
| friend

operator<<

## Member Data Documentation

## ◆ m_createType

int StarWriterStruct::TOX51::m_createType

the createType

Referenced by operator<<, read(), and TOX51().

## ◆ m_firstTabPos

int StarWriterStruct::TOX51::m_firstTabPos

the firstTabPos

Referenced by operator<<, read(), and TOX51().

## ◆ m_infLevel

int StarWriterStruct::TOX51::m_infLevel

the inf level

Referenced by operator<<, read(), and TOX51().

## ◆ m_patternList

std::vector<librevenge::RVNGString> StarWriterStruct::TOX51::m_patternList

the pattern list

Referenced by operator<<, read(), and TOX51().

## ◆ m_stringIdList

std::vector<int> StarWriterStruct::TOX51::m_stringIdList

a list of template string ids

Referenced by operator<<, read(), and TOX51().

## ◆ m_title

librevenge::RVNGString StarWriterStruct::TOX51::m_title

the title

Referenced by operator<<, read(), and TOX51().

## ◆ m_type

int StarWriterStruct::TOX51::m_type

the type

Referenced by operator<<, read(), and TOX51().

## ◆ m_typeName

librevenge::RVNGString StarWriterStruct::TOX51::m_typeName

the typeName

Referenced by operator<<, read(), and TOX51().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx